For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Scopes
          • GET/async-tasks/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Data managementAsync Tasks

/async-tasks/{id}

GET
/accounting/v1/async-tasks/:id
GET
/api/accounting/v1/async-tasks/:id
$curl https://api.merge.dev/api/accounting/v1/async-tasks/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "status": "COMPLETED",
3 "result": {
4 "status_code": 201,
5 "response": {
6 "model": {
7 "id": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
8 "remote_id": "990110",
9 "created_at": "2021-09-15T00:00:00Z",
10 "modified_at": "2021-10-16T00:00:00Z",
11 "integration_params": {
12 "unique_integration_field": "unique_integration_field_value"
13 },
14 "linked_account_params": {
15 "unique_linked_account_field": "unique_linked_account_field_value"
16 },
17 "field_mappings": {
18 "organization_defined_targets": {
19 "custom_key": "custom_value"
20 },
21 "linked_account_defined_targets": {
22 "custom_key": "custom_value"
23 }
24 },
25 "type": "ACCOUNTS_RECEIVABLE",
26 "contact": "022a2bef-57e5-4def-8ed2-7c41bd9a5ed8",
27 "number": "AIQ12546",
28 "issue_date": "2020-03-31T00:00:00Z",
29 "due_date": "2020-04-15T00:00:00Z",
30 "memo": "Weekly Payment",
31 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
32 "employee": "7442f0d5-722d-45bd-b807-6e38489d37fe",
33 "paid_on_date": "2020-04-01T00:00:00Z",
34 "currency": "USD",
35 "exchange_rate": "2.9",
36 "status": "DRAFT",
37 "total_discount": 0,
38 "sub_total": 100,
39 "total_tax_amount": 5,
40 "total_amount": 105,
41 "balance": 105,
42 "inclusive_of_tax": false,
43 "remote_updated_at": "2020-04-01T00:00:00Z",
44 "tracking_categories": [
45 "7dc5ca17-d311-44cd-9ce0-333080367a18",
46 "6aa0700c-48e1-4c4a-8162-02e6a582df05",
47 "8c933d61-8f5b-4360-ac0c-c9dc87bee763"
48 ],
49 "purchase_orders": [
50 "e7378d8f-3992-4c2a-8417-ebdc4f2bfeb7",
51 "dd70ca2f-b120-46fa-889a-9604037f45fd",
52 "889b281d-739c-4759-95b8-0aedb3947131"
53 ],
54 "accounting_period": "7dc5ca17-d311-44cd-9ce0-333080367a18",
55 "payments": [
56 "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
57 ],
58 "applied_payments": [
59 "9017594e-dc33-4113-a5d2-b0f928e34fdd"
60 ],
61 "line_items": [],
62 "applied_credit_notes": [],
63 "applied_vendor_credits": [],
64 "remote_data": [
65 {
66 "path": "/actions",
67 "data": [
68 "Varies by platform"
69 ]
70 }
71 ]
72 }
73 }
74 }
75}

Returns an AsyncPostTask object with the given id.

Was this page helpful?
Previous

/sync-status

Next

/generate-key

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequired

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

statusenum
  • QUEUED - QUEUED
  • IN_PROGRESS - IN_PROGRESS
  • COMPLETED - COMPLETED
  • FAILURE - FAILURE
Allowed values:
resultobject